Summary:	Perl script which generates statistics from IRC logfiles
Summary(pl.UTF-8):	Skrypt perlowy generujący statystyki z plików logujących IRC-a
Name:		pisg
Version:	0.73
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/pisg/%{name}-%{version}.tar.gz
# Source0-md5:	e0d43082c0bc20e19978743ebf2fcf8b
Patch0:		%{name}-config.patch
Patch1:		%{name}-FHS.patch
Patch2:		%{name}-lang.patch
Patch3:		%{name}-hacks.patch
Patch4:		no-autosilent.patch
URL:		http://pisg.sourceforge.net/
Suggests:	perl-Text-Iconv
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pisg is an IRC channel statics generator written in Perl, it creates
statistics from different logfile formats. The supported logfile
formats is explained in the FORMATS file. It was originally written
because IRCStats wasn't open source. It's highly customizable.
Extensive documentation can be found at:
<http://pisg.sourceforge.net/docs/>.

%description -l pl.UTF-8
pisg jest napisanym w Perlu generatorem statystyk kanału IRC. Tworzy
je z różnych formatów plików logujących. Obsługiwane formaty są
objaśnione w pliku FORMATS. Jest wysoko konfigurowalny. Obszerniejsza
dokumentacja znajduje się na: <http://pisg.sourceforge.net/docs/>.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

mv docs/pisg.1 .

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/pisg,%{_datadir}/pisg,%{_bindir},%{_mandir}/man1,%{perl_vendorlib}}
cp -a pisg.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a pisg.cfg $RPM_BUILD_ROOT%{_sysconfdir}/pisg
cp -a gfx layout lang.txt $RPM_BUILD_ROOT%{_datadir}/pisg
cp -a modules/* $RPM_BUILD_ROOT%{perl_vendorlib}
install -p pisg $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/* scripts
%attr(755,root,root) %{_bindir}/pisg
%dir %{_sysconfdir}/pisg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pisg/pisg.cfg
%{perl_vendorlib}/Pisg.pm
%{perl_vendorlib}/Pisg
%dir %{_datadir}/pisg
%{_datadir}/pisg/gfx
%{_datadir}/pisg/layout
%{_datadir}/pisg/lang.txt
%{_mandir}/man1/pisg.1*
%changelog
* Thu Jul 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pisg.git;a=log;h=master

* Mon May 25 2015 Elan Ruusamäe <glen@delfi.ee> 6d671e4
- release 1 (by relup.sh)

* Tue Dec 04 2012 Elan Ruusamäe <glen@delfi.ee> c0099cb
- up to 0.73

* Mon Sep 14 2009 Elan Ruusamäe <glen@pld-linux.org> 74011dd
- don't quiet automatically if not ran from terminal; rel 4

* Thu Dec 18 2008 Elan Ruusamäe <glen@pld-linux.org> a74cdd2
- some hooks to be able to use modules outside

* Thu Dec 18 2008 Elan Ruusamäe <glen@pld-linux.org> a9b87b6
- some hacks to be able to use modules outside pisg program

* Thu Dec 18 2008 Elan Ruusamäe <glen@pld-linux.org> bd554c0
- fix Estonian language code
- install libraries to perl moduledir to be used outside
- binary moved to bindir; rel 2

* Thu Dec 18 2008 Elan Ruusamäe <glen@pld-linux.org> 1ed6ba5
- Estonian language code is ET

* Thu Dec 18 2008 Elan Ruusamäe <glen@pld-linux.org> 6867e63
- install program to bindir

* Thu Dec 18 2008 Elan Ruusamäe <glen@pld-linux.org> 2e03d33
- 0.72

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0d58bcc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0dcf5d9
- converted to UTF-8

* Tue Oct 17 2006 Elan Ruusamäe <glen@pld-linux.org> 135c95e
- 0.70

* Thu Jun 01 2006 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 4e92b40
- updated to 0.68
- changed SOURCE location

* Sun Jun 12 2005 Elan Ruusamäe <glen@pld-linux.org> 65e57b3
- 0.66

* Sun Apr 03 2005 Jakub Bogusz <qboosh@pld-linux.org> dc9345e
- en typo, cosmetics

* Sun Apr 03 2005 Elan Ruusamäe <glen@pld-linux.org> f2da617
- no man to doc and keep re-entrant %install

* Sun Apr 03 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> f56fc4d
- reverted s/mv -f/install/

* Sun Apr 03 2005 Elan Ruusamäe <glen@pld-linux.org> 4728d1c
- re-entrant %install
- unify

* Sun Apr 03 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> db89f39
- rel. 1 STBR

* Sun Apr 03 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 0bc4126
- BuildArch: noarch
- moved scripts do docs, man page to mandir

